X
Tryk her for at gå til webstedets mobilversion.

Supportforum

how to troubleshoot the firefox gpsd geolocation?

Skrevet

I built Firefox 51.0.1 (dont have rustc installed, hence this older version) with --enable-gpsd flag set. I also set geo.provider.use_gpsd to true. But firefox still does not use gpsd for geolocation. I did verify, that gpsd is up and running correctly. How can I troubleshoot the geolocation issue?

I built Firefox 51.0.1 (dont have rustc installed, hence this older version) with --enable-gpsd flag set. I also set geo.provider.use_gpsd to true. But firefox still does not use gpsd for geolocation. I did verify, that gpsd is up and running correctly. How can I troubleshoot the geolocation issue?

Yderligere systemdetaljer

Installerede plugins

  • Shockwave Flash 25.0 r0

Program

  • Firefox 51.0.1
  • User Agent: Mozilla/5.0 (X11; Linux x86_64; rv:51.0) Gecko/20100101 Firefox/51.0
  • Support-URL: https://support.mozilla.org/1/firefox/51.0.1/Linux/en-US/

Udvidelser

  • Application Update Service Helper 1.0 (aushelper@mozilla.org)
  • Classic Theme Restorer 1.6.5 (ClassicThemeRestorer@ArisT2Noia4dev)
  • Multi-process staged rollout 1.7 (e10srollout@mozilla.org)
  • NoScript 5.0.3 ({73a6fe31-595d-460b-a920-fcc0f8843232})
  • Open in JOSM 1.0 ({b1205b01-d1ac-4eb4-9e91-286e755f3205})
  • Pocket 1.0.5 (firefox@getpocket.com)
  • Web Compat 1.0 (webcompat@mozilla.org)

Javascript

  • incrementalGCEnabled: True

Grafik

  • adapterDescription: Intel Open Source Technology Center -- Mesa DRI Intel(R) HD Graphics 515 (Skylake GT2)
  • adapterDeviceID: Mesa DRI Intel(R) HD Graphics 515 (Skylake GT2)
  • adapterDrivers:
  • adapterRAM:
  • adapterVendorID: Intel Open Source Technology Center
  • crashGuards: []
  • currentAudioBackend: pulse
  • driverDate:
  • driverVersion: 3.0 Mesa 17.0.5
  • featureLog: {u'fallbacks': [], u'features': [{u'status': u'blocked', u'description': u'Compositing', u'log': [{u'status': u'blocked', u'message': u'Acceleration blocked by platform', u'type': u'default'}], u'name': u'HW_COMPOSITING'}, {u'status': u'unavailable', u'description': u'OpenGL Compositing', u'log': [{u'status': u'unavailable', u'message': u'Hardware compositing is disabled', u'type': u'default'}], u'name': u'OPENGL_COMPOSITING'}]}
  • info: {u'AzureCanvasAccelerated': 0, u'AzureCanvasBackend': u'skia', u'AzureFallbackCanvasBackend': u'none', u'CairoUseXRender': 0, u'AzureContentBackend': u'skia'}
  • numAcceleratedWindows: 0
  • numAcceleratedWindowsMessage: [u'']
  • numTotalWindows: 1
  • supportsHardwareH264: No
  • webgl2Renderer: Intel Open Source Technology Center -- Mesa DRI Intel(R) HD Graphics 515 (Skylake GT2)
  • webglRenderer: Intel Open Source Technology Center -- Mesa DRI Intel(R) HD Graphics 515 (Skylake GT2)
  • windowLayerManagerRemote: True
  • windowLayerManagerType: Basic

Ændrede indstillinger

Diverse

  • User JS: Nej
  • Tilgængelighed: Nej
Luk
WestEnd 60 løsninger 5387 svar

Help on this forum deals with the latest ESR or Public FF release any older and that comes with security flaws.

Help on this forum deals with the latest ESR or Public FF release any older and that comes with security flaws.

Spørgsmålsstiller

Ok, I will try to compile and install the latest version of firefox (62.0). /but I dont think my issue is version specific. It just asks about geolocation troubleshooting in general.

Ok, I will try to compile and install the latest version of firefox (62.0). /but I dont think my issue is version specific. It just asks about geolocation troubleshooting in general.
Shadow110 1072 løsninger 14836 svar

Ya, hi, would not put too much weight into that comment.

Should make sure your compatible to update.

Also : Separate Security Issue, please update your Flash 25.0 r0 If you use it Reinstall with Flash Player Version: 31.0.0.108 Current Version https://get.adobe.com/flashplayer/otherversions/ Step 1: Select Operating System Step 2: Select A Version (Firefox, . . . .) Note: Other software is offered in the download. <Windows Only>


https://addons.mozilla.org/en-US/firefox/search/?platform=linux&q=Change%20Geolocation

Please see here : https://support.mozilla.org/en-US/questions/1177581

Ya, hi, would not put too much weight into that comment. Should make sure your compatible to update. Also : '''Separate''' Security Issue, please update your Flash 25.0 r0 If you use it Reinstall with Flash Player Version: 31.0.0.108 Current Version https://get.adobe.com/flashplayer/otherversions/ Step 1: Select Operating System Step 2: Select A Version (Firefox, . . . .) Note: Other software is offered in the download. <Windows Only> https://addons.mozilla.org/en-US/firefox/search/?platform=linux&q=Change%20Geolocation Please see here : https://support.mozilla.org/en-US/questions/1177581

Ændret af Shadow110 den

Spørgsmålsstiller

Hi

I did update the flash to version 31.0.0.108. There was no issue.

Thanks for the link. But that does not apply to my case. The discussion in reference is dealing with non-working geolocation. My geolocation using "Mozilla location service (MLS)" (i.e using list of wifi hotspots) works just fine (but gives incorrect location). I am trying to get firefox to read my GPS device instead of my wifi card.

Here is the link I was following: https://bugzilla.mozilla.org/show_bug.cgi?id=1250922

When I was used firefox 51.0.1 I was able to compile it just fine. However even after enabling GPSD in about:config, the firefox still used MLS instead of GPSD. I tried to compile firefox 62.0.2 as suggested. However I run to the following error:

151:20:51 /firefox-61.0.2/dom/system/linux/GpsdLocationProvider.cpp: In constructor 'mozilla::dom:GpsdLocationProvider::UpdateRunnable::UpdateRunnable(const nsMainThreadPtrHandle<mozilla::dom::GpsdLocationProvider>&, nsIDOMGeoPosition*)': 151:20.51 /firefox-61.0.2/dom/system/linux/GpsdLocationProvider.cpp: 82:26: error: use of deleted function 'mozilla::Runnable::Runnable()' 151:20.52 , mPosition(aPosition) 151:20.52 ^

Was there some change to the GPSD incorporation into firefox?

Hi I did update the flash to version 31.0.0.108. There was no issue. Thanks for the link. But that does not apply to my case. The discussion in reference is dealing with non-working geolocation. My geolocation using "Mozilla location service (MLS)" (i.e using list of wifi hotspots) works just fine (but gives incorrect location). I am trying to get firefox to read my GPS device instead of my wifi card. Here is the link I was following: https://bugzilla.mozilla.org/show_bug.cgi?id=1250922 When I was used firefox 51.0.1 I was able to compile it just fine. However even after enabling GPSD in about:config, the firefox still used MLS instead of GPSD. I tried to compile firefox 62.0.2 as suggested. However I run to the following error: 151:20:51 /firefox-61.0.2/dom/system/linux/GpsdLocationProvider.cpp: In constructor 'mozilla::dom:GpsdLocationProvider::UpdateRunnable::UpdateRunnable(const nsMainThreadPtrHandle<mozilla::dom::GpsdLocationProvider>&, nsIDOMGeoPosition*)': 151:20.51 /firefox-61.0.2/dom/system/linux/GpsdLocationProvider.cpp: 82:26: error: use of deleted function 'mozilla::Runnable::Runnable()' 151:20.52 , mPosition(aPosition) 151:20.52 ^ Was there some change to the GPSD incorporation into firefox?
jscher2000
  • Top 10 Contributor
8838 løsninger 72234 svar

Building Firefox is beyond the scope of this forum. Maybe something over here:

https://discourse.mozilla.org/

Or if you are following instructions on MDN, maybe there is an indication there of a particular mailing list or site you can use to find answers on those topics.

Building Firefox is beyond the scope of this forum. Maybe something over here: https://discourse.mozilla.org/ Or if you are following instructions on MDN, maybe there is an indication there of a particular mailing list or site you can use to find answers on those topics.